Dt/Mrm.h(file formats)

NAME
Dt/Mrm.h — initializing widgets for URM facilities

SYNOPSIS

#include &<Dt/Mrm.h>

DESCRIPTION

The top-level routine DtMrmIntialize is normally accessible to and used by an application at runtime to access URM facilities.

DtMrmIntialize must be called in order to prepare an application to use URM widget fetching facilities for CDE Dt widgets. It is analogous to the MrmInitialize routine for Motif widgets.

DtMrmIntialize initializes the internal data structures (creating the mapping from class codes to the creation routine for each builtin widget class) which URM needs in order to successfully perform type conversion on arguments, and successfully access widget creation facilities. DtMrmIntialize must be called before
any widgets are    created, whether by URM's fetch mechanisms or directly
by the application. It may be called before or after XtInitialize, and multiple calls after the first one are benign (no-ops).

SEE ALSO

DtMrmInitialize(3).